AfterEffectL (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search.similarities, class: AfterEffectL

Package org.apache.lucene.search.similarities

# Class AfterEffectL

java.lang.Object
org.apache.lucene.search.similarities.AfterEffect
org.apache.lucene.search.similarities.AfterEffectL

public class AfterEffectL extends AfterEffect
Model of the information gain based on Laplace's law of succession.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AfterEffectL()`
  Sole constructor: parameter-free

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Explanation`
  `explain(BasicStats stats, double tfn)`
  Returns an explanation for the score.
  `final double`
  `scoreTimes1pTfn(BasicStats stats)`
  Returns the product of the after effect with `1+tfn`.
  `String`
  `toString()`
  Subclasses must override this method to return the code of the after effect formula.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AfterEffectL

    public AfterEffectL()
    Sole constructor: parameter-free

- ## Method Details

  - ### scoreTimes1pTfn

    public final double scoreTimes1pTfn(BasicStats stats)
    Description copied from class: `AfterEffect`
    Returns the product of the after effect with `1+tfn`. This may not depend on the value of `tfn`.
    Specified by:
      `scoreTimes1pTfn` in class `AfterEffect`

  - ### explain

    public final Explanation explain(BasicStats stats, double tfn)
    Description copied from class: `AfterEffect`
    Returns an explanation for the score.
    Specified by:
      `explain` in class `AfterEffect`

  - ### toString

    public String toString()
    Description copied from class: `AfterEffect`
    Subclasses must override this method to return the code of the after effect formula. Refer to the original paper for the list.
    Specified by:
      `toString` in class `AfterEffect`